
# -------------------------------------------------------------------------
# FRAMING PAPER - All task  analysis 
# -------------------------------------------------------------------------
#
# Author: EVANTHIA DIMARA
#
# -------------------------------------------------------------------------
# Analysis of the all tasks (either averaged or independent task measures like attention )
# -------------------------------------------------------------------------

rm(list = ls()) # clean up R's memory

source("measures.R")

results <- data.frame(label = character(0), point = numeric(0), ci.lower = numeric(0), ci.upper = numeric(0),type = character(0))

results <- accuracy1Condition(ACCURACY.ABS.VA,         results)
results <- accuracy1Condition(ACCURACY.SEM.VA,         results)
results <- accuracy1Condition(ACCURACY.NAR.DM,         results)
results <- accuracy1Condition(ACCURACY.NAR.VA,         results)
results <- accuracy1Condition(ACCURACY.NAR.SEM.VA,     results)

results <- attention1Condition(ATTENTION.ABS.VA,       results)
results <- attention1Condition(ATTENTION.SEM.VA,       results)
results <- attention1Condition(ATTENTION.NAR.DM,       results)
results <- attention1Condition(ATTENTION.NAR.VA,       results)
results <- attention1Condition(ATTENTION.NAR.SEM.VA,   results)

results <- recall1Condition(RECALL.ABS.VA,             results)
results <- recall1Condition(RECALL.SEM.VA,             results)
results <- recall1Condition(RECALL.NAR.DM,             results)
results <- recall1Condition(RECALL.NAR.VA,             results)
results <- recall1Condition(RECALL.NAR.SEM.VA,         results)

results <- confidence1Condition(CONFIDENCE.ABS.VA,     results)
results <- confidence1Condition(CONFIDENCE.SEM.VA,     results)
results <- confidence1Condition(CONFIDENCE.NAR.DM,     results)
results <- confidence1Condition(CONFIDENCE.NAR.VA,     results)
results <- confidence1Condition(CONFIDENCE.NAR.SEM.VA, results)

results <- easiness1Condition(EASINESS.ABS.VA,         results)
results <- easiness1Condition(EASINESS.SEM.VA,         results)
results <- easiness1Condition(EASINESS.NAR.DM,         results)
results <- easiness1Condition(EASINESS.NAR.VA,         results)
results <- easiness1Condition(EASINESS.NAR.SEM.VA,     results)

results <- enjoyability1Condition(ENJOYABILITY.ABS.VA,      results)
results <- enjoyability1Condition(ENJOYABILITY.SEM.VA,      results)
results <- enjoyability1Condition(ENJOYABILITY.NAR.DM,      results)
results <- enjoyability1Condition(ENJOYABILITY.NAR.VA,      results)
results <- enjoyability1Condition(ENJOYABILITY.NAR.SEM.VA,  results)

results <- usefulness1Condition(USEFULNESS.ABS.VA,          results)
results <- usefulness1Condition(USEFULNESS.SEM.VA,          results)
results <- usefulness1Condition(USEFULNESS.NAR.DM,          results)
results <- usefulness1Condition(USEFULNESS.NAR.VA,          results)
results <- usefulness1Condition(USEFULNESS.NAR.SEM.VA,      results)

source("plots.R")
plot          <- plotAllCI_allTaks(results)
plot
